---
layout: table_wrappers
---

<!DOCTYPE html>

<html lang="{{ site.lang | default: 'en-US' }}">
{% include head.html %}
<body>
  <svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
    <symbol id="svg-link" viewBox="0 0 24 24">
      <title>Link</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link">
        <path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path><path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path>
      </svg>
    </symbol>
    <symbol id="svg-search" viewBox="0 0 24 24">
      <title>Search</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search">
        <circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line>
      </svg>
    </symbol>
    <symbol id="svg-menu" viewBox="0 0 24 24">
      <title>Menu</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-menu">
        <line x1="3" y1="12" x2="21" y2="12"></line><line x1="3" y1="6" x2="21" y2="6"></line><line x1="3" y1="18" x2="21" y2="18"></line>
      </svg>
    </symbol>
    <symbol id="svg-arrow-right" viewBox="0 0 24 24">
      <title>Expand</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-right">
        <polyline points="9 18 15 12 9 6"></polyline>
      </svg>
    </symbol>
    <symbol id="svg-doc" viewBox="0 0 24 24">
      <title>Document</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file">
        <path d="M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V9z"></path><polyline points="13 2 13 9 20 9"></polyline>
      </svg>
    </symbol>
    <symbol id="svg-grid" viewBox="0 0 24 24">
      <title>Documentation Menu</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1" stroke-linecap="round" stroke-linejoin="round" class="feather feather-grid">
        <rect x="3" y="3" width="7" height="7"></rect><rect x="14" y="3" width="7" height="7"></rect><rect x="14" y="14" width="7" height="7"></rect><rect x="3" y="14" width="7" height="7"></rect>
      </svg>
    </symbol>
  </svg>

  {% include header.html %}

  <main>
    <div id="main-header"></div>
    <div class="side-bar">
      <div class="site-header">
        <a href="#" id="menu-button" class="site-button">
          Documentation <svg viewBox="0 0 24 24" class="icon"><use xlink:href="#svg-grid"></use></svg>
        </a>
      </div>
      <nav role="navigation" aria-label="Main" id="site-nav" class="site-nav">
        <div class="version-wrapper">
          <version-selector selected="{{ site.data.versions.current }}"></version-selector>
        </div>
        {% assign pages_top_size = site.html_pages
            | where_exp:"item", "item.title != nil"
            | where_exp:"item", "item.parent == nil"
            | where_exp:"item", "item.nav_exclude != true"
            | size %}
        {% if pages_top_size > 0 %}
          {% include nav.html pages=site.html_pages key=nil %}
        {% endif %}
        <!-- {% if site.just_the_docs.collections %}
          {% assign collections_size = site.just_the_docs.collections | size %}
          {% for collection_entry in site.just_the_docs.collections %}
            {% assign collection_key = collection_entry[0] %}
            {% assign collection_value = collection_entry[1] %}
            {% assign collection = site[collection_key] %}
            {% if collection_value.nav_exclude != true %}
              {% if collections_size > 1 or pages_top_size > 0 %}
                {% if collection_value.nav_fold == true %}
                  <ul class="nav-list nav-category-list">
                    <li class="nav-list-item{% if page.collection == collection_key %} active{% endif %}">
                      {%- if collection.size > 0 -%}
                      <a href="#" class="nav-list-expander"><svg viewBox="0 0 24 24"><use xlink:href="#svg-arrow-right"></use></svg></a>
                      {%- endif -%}
                      <div class="nav-category">{{ collection_value.name }}</div>
                      {% include nav.html pages=collection key=collection_key %}
                    </li>
                  </ul>
                {% else %}
                  <div class="nav-category">{{ collection_value.name }}</div>
                  {% include nav.html pages=collection key=collection_key %}
                {% endif %}
              {% else %}
                {% include nav.html pages=collection key=collection_key %}
              {% endif %}
            {% endif %}
          {% endfor %}
        {% endif %} -->
        {% if site.just_the_docs.collections %}
          {% assign collections_size = site.just_the_docs.collections | size %}
          {% for collection_entry in site.just_the_docs.collections %}
            {% assign collection_key = collection_entry[0] %}
            {% assign collection_value = collection_entry[1] %}
            {% assign collection = site[collection_key] %}
            {% if collection_value.nav_exclude != true %}
              {% if collections_size > 1 or pages_top_size > 0 %}
                {% if collection_value.nav_fold == true %}
                  <ul class="nav-list nav-category-list">
                    <li class="nav-list-item{% if page.collection == collection_key %} active{% endif %}">
                      {%- if collection.size > 0 -%}
                      <a href="#" class="nav-list-expander"><svg viewBox="0 0 24 24"><use xlink:href="#svg-arrow-right"></use></svg></a>
                      {%- endif -%}
                      {% assign collection_url_path = collection_key | append: "/index/" %}
                      <div class="nav-category"><a href="{{ collection_url_path | relative_url  }}">{{ collection_value.name }}</a></div>
                      {% include nav.html pages=collection key=collection_key %}
                    </li>
                  </ul>
                {% else %}
                  {% assign collection_url_path = collection_key | append: "/index/" %}
                  <div class="nav-category"><a href="{{ collection_url_path | relative_url }}">{{ collection_value.name }}</a></div>
                  {% include nav.html pages=collection key=collection_key %}
                {% endif %}
              {% else %}
                {% include nav.html pages=collection key=collection_key %}
              {% endif %}
            {% endif %}
          {% endfor %}
        {% endif %}
        </nav>
    </div>
    <div class="copy-banner">
      <div class="container">
        <h1><a href="#">Quick Start</a></h1>
        {% if site.search_enabled != false or site.use_custom_search == true %}
        <div class="search">
          <div class="search-input-wrap">
            {% assign docs_version = site.data.versions.current %}
            {% if site.baseurl == '/docs/latest' %}
              {% assign docs_version = "latest" %}
            {% endif %}
            <input type="text" id="search-input" class="search-input"
                   tabindex="0" placeholder="Search..." aria-label="Search {{ site.title }}"
                   data-docs-version="{{ docs_version }}" autocomplete="off">
            <div class="search-spinner"><i></i></div>
            <label for="search-input" class="search-label"><svg viewBox="0 0 24 24" class="search-icon"><use xlink:href="#svg-search"></use></svg></label>
          </div>
          {% if site.search_enabled != false %}
          <div id="search-results" class="search-results"></div>
          {% elsif site.use_custom_search == true %}
          <div id="search-results" class="search-results custom-search-results"></div>
          {% endif %}
        </div>
        {% endif %}
      </div>
      <div class="search-overlay"></div>
    </div>
    <div class="main">
      <div id="main-content-wrap" class="main-content-wrap">
        {% unless page.url == "/" %}
          {% if page.parent %}
            <nav aria-label="Breadcrumb" class="breadcrumb-nav">
              <ol class="breadcrumb-nav-list">
                {% if page.grand_parent %}
                  <li class="breadcrumb-nav-list-item"><a href="{{ first_level_url }}">{{ page.grand_parent }}</a></li>
                  <li class="breadcrumb-nav-list-item"><a href="{{ second_level_url }}">{{ page.parent }}</a></li>
                {% else %}
                  <li class="breadcrumb-nav-list-item"><a href="{{ first_level_url }}">{{ page.parent }}</a></li>
                {% endif %}
                <li class="breadcrumb-nav-list-item"><span>{{ page.title }}</span></li>
              </ol>
            </nav>
          {% endif %}
        {% endunless %}
        <div id="main-content" class="main-content" role="main">
          {% if site.heading_anchors != false %}
            {% include vendor/anchor_headings.html html=content beforeHeading="true" anchorBody="<svg viewBox=\"0 0 16 16\" aria-hidden=\"true\"><use xlink:href=\"#svg-link\"></use></svg>" anchorClass="anchor-heading" anchorAttrs="aria-labelledby=\"%html_id%\"" %}
          {% else %}
            {{ content }}
          {% endif %}
          
          <a class="top-link" href="#top">
            <svg viewBox="0 0 24 24"><use xlink:href="#svg-arrow-right"></use></svg>
          </a>

          {% if page.has_children == true and page.has_toc != false %}
            <hr>
            <h2>Related articles</h2>
            <ul>
              {% for child in toc_list %}
                <li>
                  <a href="{{ child.url | absolute_url }}">{{ child.title }}</a>{% if child.summary %} - {{ child.summary }}{% endif %}
                </li>
              {% endfor %}
            </ul>
          {% endif %}

          {% capture footer_custom %}
            {%- include footer_custom.html -%}
          {% endcapture %}
          {% if footer_custom != "" or site.last_edit_timestamp or site.gh_edit_link %}
            <hr>
            <footer>
              {% if site.back_to_top %}
                <p><a href="#top" id="back-to-top">{{ site.back_to_top_text }}</a></p>
              {% endif %}

              {{ footer_custom }}

              {% if site.last_edit_timestamp or site.gh_edit_link %}
                <div class="d-flex mt-2">
                  {% if site.last_edit_timestamp and site.last_edit_time_format and page.last_modified_date %}
                    <p class="text-small text-grey-dk-000 mb-0 mr-2">
                      Page last modified: <span class="d-inline-block">{{ page.last_modified_date | date: site.last_edit_time_format }}</span>.
                    </p>
                  {% endif %}
                  {% if
                    site.gh_edit_link and
                    site.gh_edit_link_text and
                    site.gh_edit_repository and
                    site.gh_edit_branch and
                    site.gh_edit_view_mode
                  %}
                    <p class="text-small text-grey-dk-000 mb-0">
                      <a href="{{ site.gh_edit_repository }}/{{ site.gh_edit_view_mode }}/{{ site.gh_edit_branch }}{% if site.gh_edit_source %}/{{ site.gh_edit_source }}{% endif %}/{{ page.path }}" id="edit-this-page">{{ site.gh_edit_link_text }}</a>
                    </p>
                  {% endif %}
                </div>
              {% endif %}
            </footer>
          {% endif %}

        </div>
      </div>
      <div class="toc-wrap">
        <div class="sticky-wrap">
          <div class="toc">
            {% include toc.html html=content h_min=2 h_max=2 class="toc-list" item_class="toc-item" sanitize=true %}
          </div>
          {% include feedback.html %}
        </div>
      </div>
      {% if site.search_enabled != false %}
        {% if site.search.button %}
          <a href="#" id="search-button" class="search-button">
            <svg viewBox="0 0 24 24" class="icon"><use xlink:href="#svg-search"></use></svg>
          </a>
        {% endif %}
      {% endif %}
    </div>
  </main>

  {% include footer.html %}

  {% if site.anchor_links != nil %}
    <script>
      anchors.add().remove('.subfooter h1, .subfooter h2');
    </script>
  {% endif %}
  <script src="{{ '/assets/js/header-nav.js' | relative_url }}"></script>
  {% if site.search_enabled == false and site.use_custom_search == true %}
  <script src="{{ '/assets/js/search.js' | relative_url }}"></script>
  {% endif %}
  <script src="{{ '/assets/js/copy-button.js' | relative_url }}"></script>
  <script src="{{ '/assets/js/nav-scroll.js' | relative_url }}"></script>
  <script src="{{ '/assets/js/listener.js' | relative_url }}"></script>
</body>
</html>
